diff --git a/src/main/java/net/minecraft/client/gui/guidebook/crafting/displays/RepairableDisplayAdapter.java b/src/main/java/net/minecraft/client/gui/guidebook/crafting/displays/DisplayAdapterRepairable.java
similarity index 83%
rename from src/main/java/net/minecraft/client/gui/guidebook/crafting/displays/RepairableDisplayAdapter.java
rename to src/main/java/net/minecraft/client/gui/guidebook/crafting/displays/DisplayAdapterRepairable.java
index 8d5ed8f0a..3d825fc0c 100644
--- a/src/main/java/net/minecraft/client/gui/guidebook/crafting/displays/RepairableDisplayAdapter.java
+++ b/src/main/java/net/minecraft/client/gui/guidebook/crafting/displays/DisplayAdapterRepairable.java
@@ -1,6 +1,6 @@
 package net.minecraft.client.gui.guidebook.crafting.displays;
 
-import net.minecraft.client.gui.guidebook.GuidebookSlot;
+import net.minecraft.client.gui.guidebook.SlotGuidebook;
 import net.minecraft.core.data.registry.recipe.RecipeEntryBase;
 import net.minecraft.core.data.registry.recipe.RecipeSymbol;
 import net.minecraft.core.data.registry.recipe.entry.RecipeEntryRepairable;
@@ -10,36 +10,36 @@ import java.util.ArrayList;
 import java.util.List;
 import java.util.Random;
 
-public class RepairableDisplayAdapter implements RecipeDisplayAdapter<RecipeEntryRepairable>{
+public class DisplayAdapterRepairable implements RecipeDisplayAdapter<RecipeEntryRepairable>{
     @Override
-    public List<GuidebookSlot> getSlots(RecipeEntryRepairable recipe, int recipeAmount, int xOffset, int yOffset) {
-        List<GuidebookSlot> recipeSlots = new ArrayList<>();
+    public List<SlotGuidebook> getSlots(RecipeEntryRepairable recipe, int recipeAmount, int xOffset, int yOffset) {
+        List<SlotGuidebook> recipeSlots = new ArrayList<>();
 
         ItemStack[] sharedItemBuffer = new ItemStack[1]; // Cursed shared reference
         int[] sharedInt = new int[1]; // Another Cursed shared reference
         RecipeSymbol[] symbols = {new RecipeSymbol(recipe.inItem), recipe.repairMaterial, recipe.repairMaterial, recipe.repairMaterial, new RecipeSymbol(recipe.inItem)};
 
         for (int i = 0; i < 4; i++) {
-            GuidebookSlot slot;
+            SlotGuidebook slot;
             int x = 13 + 18 * (i % 2) + xOffset;
             int y = 10 + 18 * ((i / 2) + recipeAmount * 3) + yOffset;
             if (i == 0) {
-                slot = new RepariableGuidebookSlot(i, x, y, symbols[i], false, recipe, sharedItemBuffer);
+                slot = new SlotGuidebookRepairable(i, x, y, symbols[i], false, recipe, sharedItemBuffer);
             } else {
-                slot = new MaterialGuidebookSlot(i, x, y, symbols[i], false, recipe, sharedInt);
+                slot = new SlotGuidebookMaterial(i, x, y, symbols[i], false, recipe, sharedInt);
             }
             recipeSlots.add(slot);
         }
 
         int centerY = (recipeSlots.get(recipeSlots.size()-1).y + recipeSlots.get(recipeSlots.size()-3).y) / 2;
-        recipeSlots.add(new RepairOutputGuidebookSlot(symbols.length - 1, 81 + xOffset, centerY, symbols[4], false,recipe, sharedItemBuffer, sharedInt).setAsOutput());
+        recipeSlots.add(new SlotGuidebookRepairOutput(symbols.length - 1, 81 + xOffset, centerY, symbols[4], false,recipe, sharedItemBuffer, sharedInt).setAsOutput());
         return recipeSlots;
     }
 
-    public static class RepariableGuidebookSlot extends GuidebookSlot {
+    public static class SlotGuidebookRepairable extends SlotGuidebook {
         private final ItemStack[] buffer;
         private int tickCount = 0;
-        public RepariableGuidebookSlot(int id, int x, int y, RecipeSymbol symbol, boolean discovered, RecipeEntryBase<?, ?, ?> recipe, ItemStack[] itemBuffer) {
+        public SlotGuidebookRepairable(int id, int x, int y, RecipeSymbol symbol, boolean discovered, RecipeEntryBase<?, ?, ?> recipe, ItemStack[] itemBuffer) {
             super(id, x, y, symbol, discovered, recipe);
             buffer = itemBuffer;
         }
@@ -65,9 +65,9 @@ public class RepairableDisplayAdapter implements RecipeDisplayAdapter<RecipeEntr
         }
     }
 
-    public static class MaterialGuidebookSlot extends GuidebookSlot {
+    public static class SlotGuidebookMaterial extends SlotGuidebook {
         private final int[] buffer;
-        public MaterialGuidebookSlot(int id, int x, int y, RecipeSymbol symbol, boolean discovered, RecipeEntryBase<?, ?, ?> recipe, int[] intBuffer) {
+        public SlotGuidebookMaterial(int id, int x, int y, RecipeSymbol symbol, boolean discovered, RecipeEntryBase<?, ?, ?> recipe, int[] intBuffer) {
             super(id, x, y, symbol, discovered, recipe);
             buffer = intBuffer;
         }
@@ -96,10 +96,10 @@ public class RepairableDisplayAdapter implements RecipeDisplayAdapter<RecipeEntr
         }
     }
 
-    public static class RepairOutputGuidebookSlot extends GuidebookSlot {
+    public static class SlotGuidebookRepairOutput extends SlotGuidebook {
         private final ItemStack[] itemBuffer;
         private final int[] intBuffer;
-        public RepairOutputGuidebookSlot(int id, int x, int y, RecipeSymbol symbol, boolean discovered, RecipeEntryBase<?, ?, ?> recipe, ItemStack[] itemBuffer, int[] intBuffer) {
+        public SlotGuidebookRepairOutput(int id, int x, int y, RecipeSymbol symbol, boolean discovered, RecipeEntryBase<?, ?, ?> recipe, ItemStack[] itemBuffer, int[] intBuffer) {
             super(id, x, y, symbol, discovered, recipe);
             this.itemBuffer = itemBuffer;
             this.intBuffer = intBuffer;
diff --git a/src/main/java/net/minecraft/client/gui/guidebook/crafting/displays/ShapedDisplayAdapter.java b/src/main/java/net/minecraft/client/gui/guidebook/crafting/displays/DisplayAdapterShaped.java
similarity index 78%
rename from src/main/java/net/minecraft/client/gui/guidebook/crafting/displays/ShapedDisplayAdapter.java
rename to src/main/java/net/minecraft/client/gui/guidebook/crafting/displays/DisplayAdapterShaped.java
index 251c82a57..833490730 100644
--- a/src/main/java/net/minecraft/client/gui/guidebook/crafting/displays/ShapedDisplayAdapter.java
+++ b/src/main/java/net/minecraft/client/gui/guidebook/crafting/displays/DisplayAdapterShaped.java
@@ -1,16 +1,16 @@
 package net.minecraft.client.gui.guidebook.crafting.displays;
 
-import net.minecraft.client.gui.guidebook.GuidebookSlot;
+import net.minecraft.client.gui.guidebook.SlotGuidebook;
 import net.minecraft.core.data.registry.recipe.RecipeSymbol;
 import net.minecraft.core.data.registry.recipe.entry.RecipeEntryCraftingShaped;
 
 import java.util.ArrayList;
 import java.util.List;
 
-public class ShapedDisplayAdapter implements RecipeDisplayAdapter<RecipeEntryCraftingShaped> {
+public class DisplayAdapterShaped implements RecipeDisplayAdapter<RecipeEntryCraftingShaped> {
     @Override
-    public List<GuidebookSlot> getSlots(RecipeEntryCraftingShaped recipe, int recipeAmount, int xOffset, int yOffset) {
-        List<GuidebookSlot> recipeSlots = new ArrayList<>();
+    public List<SlotGuidebook> getSlots(RecipeEntryCraftingShaped recipe, int recipeAmount, int xOffset, int yOffset) {
+        List<SlotGuidebook> recipeSlots = new ArrayList<>();
         int slotsAmount;
 
         if (recipe.recipeHeight > 2 || recipe.recipeWidth > 2)
@@ -24,17 +24,17 @@ public class ShapedDisplayAdapter implements RecipeDisplayAdapter<RecipeEntryCra
 
                 if (slotX >= recipe.recipeWidth || slotY >= recipe.recipeHeight)
                 {
-                    recipeSlots.add(new GuidebookSlot(i, 1 + 18 * (i % 3) + xOffset, 1 + 18 * ((i / 3)+recipeAmount*3) + yOffset, null, false,recipe));
+                    recipeSlots.add(new SlotGuidebook(i, 1 + 18 * (i % 3) + xOffset, 1 + 18 * ((i / 3)+recipeAmount*3) + yOffset, null, false,recipe));
                 }
                 else
                 {
                     RecipeSymbol stack = recipe.getInput()[slotX + (slotY * recipe.recipeWidth)];
-                    recipeSlots.add(new GuidebookSlot(i, 1 + 18 * (i % 3) + xOffset, 1 + 18 * ((i / 3)+recipeAmount*3) + yOffset, stack, false,recipe));
+                    recipeSlots.add(new SlotGuidebook(i, 1 + 18 * (i % 3) + xOffset, 1 + 18 * ((i / 3)+recipeAmount*3) + yOffset, stack, false,recipe));
                 }
             }
 
             int centerY = (recipeSlots.get(recipeSlots.size()-1).y + recipeSlots.get(recipeSlots.size()-8).y) / 2;
-            recipeSlots.add(new GuidebookSlot(slotsAmount - 1, 81 + xOffset, centerY, new RecipeSymbol(recipe.getOutput().copy()), false,recipe).setAsOutput());
+            recipeSlots.add(new SlotGuidebook(slotsAmount - 1, 81 + xOffset, centerY, new RecipeSymbol(recipe.getOutput().copy()), false,recipe).setAsOutput());
         }
         else
         {
@@ -48,17 +48,17 @@ public class ShapedDisplayAdapter implements RecipeDisplayAdapter<RecipeEntryCra
 
                 if (slotX >= recipe.recipeWidth || slotY >= recipe.recipeHeight)
                 {
-                    recipeSlots.add(new GuidebookSlot(i, 13 + 18 * (i % 2) + xOffset, 10 + 18 * ((i / 2)+recipeAmount*3) + yOffset, null, false,recipe));
+                    recipeSlots.add(new SlotGuidebook(i, 13 + 18 * (i % 2) + xOffset, 10 + 18 * ((i / 2)+recipeAmount*3) + yOffset, null, false,recipe));
                 }
                 else
                 {
                     RecipeSymbol stack = recipe.getInput()[slotX + (slotY * recipe.recipeWidth)];
-                    recipeSlots.add(new GuidebookSlot(i, 13 + 18 * (i % 2) + xOffset, 10 + 18 * ((i / 2)+recipeAmount*3) + yOffset, stack, false,recipe));
+                    recipeSlots.add(new SlotGuidebook(i, 13 + 18 * (i % 2) + xOffset, 10 + 18 * ((i / 2)+recipeAmount*3) + yOffset, stack, false,recipe));
                 }
             }
 
             int centerY = (recipeSlots.get(recipeSlots.size()-1).y + recipeSlots.get(recipeSlots.size()-3).y) / 2;
-            recipeSlots.add(new GuidebookSlot(slotsAmount - 1, 81 + xOffset, centerY, new RecipeSymbol(recipe.getOutput()), false,recipe).setAsOutput());
+            recipeSlots.add(new SlotGuidebook(slotsAmount - 1, 81 + xOffset, centerY, new RecipeSymbol(recipe.getOutput()), false,recipe).setAsOutput());
         }
         return recipeSlots;
     }
diff --git a/src/main/java/net/minecraft/client/gui/guidebook/crafting/displays/ShapelessDisplayAdapter.java b/src/main/java/net/minecraft/client/gui/guidebook/crafting/displays/DisplayAdapterShapeless.java
similarity index 74%
rename from src/main/java/net/minecraft/client/gui/guidebook/crafting/displays/ShapelessDisplayAdapter.java
rename to src/main/java/net/minecraft/client/gui/guidebook/crafting/displays/DisplayAdapterShapeless.java
index b87b71c28..da1c4153a 100644
--- a/src/main/java/net/minecraft/client/gui/guidebook/crafting/displays/ShapelessDisplayAdapter.java
+++ b/src/main/java/net/minecraft/client/gui/guidebook/crafting/displays/DisplayAdapterShapeless.java
@@ -1,16 +1,16 @@
 package net.minecraft.client.gui.guidebook.crafting.displays;
 
-import net.minecraft.client.gui.guidebook.GuidebookSlot;
+import net.minecraft.client.gui.guidebook.SlotGuidebook;
 import net.minecraft.core.data.registry.recipe.RecipeSymbol;
 import net.minecraft.core.data.registry.recipe.entry.RecipeEntryCraftingShapeless;
 
 import java.util.ArrayList;
 import java.util.List;
 
-public class ShapelessDisplayAdapter implements RecipeDisplayAdapter<RecipeEntryCraftingShapeless>{
+public class DisplayAdapterShapeless implements RecipeDisplayAdapter<RecipeEntryCraftingShapeless>{
     @Override
-    public List<GuidebookSlot> getSlots(RecipeEntryCraftingShapeless recipe, int recipeAmount, int xOffset, int yOffset) {
-        List<GuidebookSlot> recipeSlots = new ArrayList<>();
+    public List<SlotGuidebook> getSlots(RecipeEntryCraftingShapeless recipe, int recipeAmount, int xOffset, int yOffset) {
+        List<SlotGuidebook> recipeSlots = new ArrayList<>();
         int slotsAmount;
 
         if (recipe.getInput().size() > 4)
@@ -21,15 +21,15 @@ public class ShapelessDisplayAdapter implements RecipeDisplayAdapter<RecipeEntry
             for (int i = 0; i < Math.max(recipe.getInput().size(),9); i++)
             {
                 if(i >= recipe.getInput().size()){
-                    recipeSlots.add(new GuidebookSlot(i, 1 + 18 * (i % 3) + xOffset, 1 + 18 * ((i / 3)+recipeAmount*3) + yOffset, null, false,recipe));
+                    recipeSlots.add(new SlotGuidebook(i, 1 + 18 * (i % 3) + xOffset, 1 + 18 * ((i / 3)+recipeAmount*3) + yOffset, null, false,recipe));
                     continue;
                 }
                 RecipeSymbol stack = recipe.getInput().get(i);
-                recipeSlots.add(new GuidebookSlot(i, 1 + 18 * (i % 3) + xOffset, 1 + 18 * ((i / 3)+recipeAmount*3) + yOffset, stack, false,recipe));
+                recipeSlots.add(new SlotGuidebook(i, 1 + 18 * (i % 3) + xOffset, 1 + 18 * ((i / 3)+recipeAmount*3) + yOffset, stack, false,recipe));
             }
 
             int centerY = (recipeSlots.get(recipeSlots.size()-1).y + recipeSlots.get(recipeSlots.size()-8).y) / 2;
-            recipeSlots.add(new GuidebookSlot(slotsAmount - 1, 81 + xOffset, centerY, new RecipeSymbol(recipe.getOutput()), false,recipe).setAsOutput());
+            recipeSlots.add(new SlotGuidebook(slotsAmount - 1, 81 + xOffset, centerY, new RecipeSymbol(recipe.getOutput()), false,recipe).setAsOutput());
         }
         else
         {
@@ -38,15 +38,15 @@ public class ShapelessDisplayAdapter implements RecipeDisplayAdapter<RecipeEntry
             for (int i = 0; i < Math.max(recipe.getInput().size(),4); i++)
             {
                 if(i >= recipe.getInput().size()){
-                    recipeSlots.add(new GuidebookSlot(i, 13 + 18 * (i % 2) + xOffset, 10 + 18 * ((i / 2)+recipeAmount*3) + yOffset, null, false,recipe));
+                    recipeSlots.add(new SlotGuidebook(i, 13 + 18 * (i % 2) + xOffset, 10 + 18 * ((i / 2)+recipeAmount*3) + yOffset, null, false,recipe));
                     continue;
                 }
                 RecipeSymbol stack = recipe.getInput().get(i);
-                recipeSlots.add(new GuidebookSlot(i, 13 + 18 * (i % 2) + xOffset, 10 + 18 * ((i / 2)+recipeAmount*3) + yOffset, stack, false,recipe));
+                recipeSlots.add(new SlotGuidebook(i, 13 + 18 * (i % 2) + xOffset, 10 + 18 * ((i / 2)+recipeAmount*3) + yOffset, stack, false,recipe));
             }
 
             int centerY = (recipeSlots.get(recipeSlots.size()-1).y + recipeSlots.get(recipeSlots.size()-3).y) / 2;
-            recipeSlots.add(new GuidebookSlot(slotsAmount - 1, 81 + xOffset, centerY, new RecipeSymbol(recipe.getOutput()), false,recipe).setAsOutput());
+            recipeSlots.add(new SlotGuidebook(slotsAmount - 1, 81 + xOffset, centerY, new RecipeSymbol(recipe.getOutput()), false,recipe).setAsOutput());
         }
         return recipeSlots;
     }
diff --git a/src/main/java/net/minecraft/client/gui/guidebook/crafting/displays/ToolDisplayAdapter.java b/src/main/java/net/minecraft/client/gui/guidebook/crafting/displays/DisplayAdapterTool.java
similarity index 75%
rename from src/main/java/net/minecraft/client/gui/guidebook/crafting/displays/ToolDisplayAdapter.java
rename to src/main/java/net/minecraft/client/gui/guidebook/crafting/displays/DisplayAdapterTool.java
index a52b1bf75..99e4931e4 100644
--- a/src/main/java/net/minecraft/client/gui/guidebook/crafting/displays/ToolDisplayAdapter.java
+++ b/src/main/java/net/minecraft/client/gui/guidebook/crafting/displays/DisplayAdapterTool.java
@@ -1,6 +1,6 @@
 package net.minecraft.client.gui.guidebook.crafting.displays;
 
-import net.minecraft.client.gui.guidebook.GuidebookSlot;
+import net.minecraft.client.gui.guidebook.SlotGuidebook;
 import net.minecraft.core.data.registry.recipe.RecipeEntryBase;
 import net.minecraft.core.data.registry.recipe.RecipeSymbol;
 import net.minecraft.core.data.registry.recipe.entry.RecipeEntryCraftingWithTool;
@@ -10,33 +10,33 @@ import java.util.ArrayList;
 import java.util.List;
 import java.util.Random;
 
-public class ToolDisplayAdapter implements RecipeDisplayAdapter<RecipeEntryCraftingWithTool>{
+public class DisplayAdapterTool implements RecipeDisplayAdapter<RecipeEntryCraftingWithTool>{
     @Override
-    public List<GuidebookSlot> getSlots(RecipeEntryCraftingWithTool recipe, int recipeAmount, int xOffset, int yOffset) {
-        List<GuidebookSlot> recipeSlots = new ArrayList<>();
+    public List<SlotGuidebook> getSlots(RecipeEntryCraftingWithTool recipe, int recipeAmount, int xOffset, int yOffset) {
+        List<SlotGuidebook> recipeSlots = new ArrayList<>();
 
         RecipeSymbol[] symbols = {recipe.inputSymbol, recipe.toolToUse, null, null, new RecipeSymbol(recipe.output)};
 
         for (int i = 0; i < 4; i++) {
-            GuidebookSlot slot;
+            SlotGuidebook slot;
             int x = 13 + 18 * (i % 2) + xOffset;
             int y = 10 + 18 * ((i / 2) + recipeAmount * 3) + yOffset;
             if (symbols[i] == recipe.toolToUse) {
-                slot = new ToolGuidebookSlot(i, x, y, symbols[i], false, recipe);
+                slot = new SlotGuidebookTool(i, x, y, symbols[i], false, recipe);
             } else {
-                slot = new GuidebookSlot(i, x, y, symbols[i], false, recipe);
+                slot = new SlotGuidebook(i, x, y, symbols[i], false, recipe);
             }
             recipeSlots.add(slot);
         }
 
         int centerY = (recipeSlots.get(recipeSlots.size()-1).y + recipeSlots.get(recipeSlots.size()-3).y) / 2;
-        recipeSlots.add(new GuidebookSlot(symbols.length - 1, 81 + xOffset, centerY, symbols[4], false,recipe).setAsOutput());
+        recipeSlots.add(new SlotGuidebook(symbols.length - 1, 81 + xOffset, centerY, symbols[4], false,recipe).setAsOutput());
         return recipeSlots;
     }
 
-    public static class ToolGuidebookSlot extends GuidebookSlot {
+    public static class SlotGuidebookTool extends SlotGuidebook {
 
-        public ToolGuidebookSlot(int id, int x, int y, RecipeSymbol symbol, boolean discovered, RecipeEntryBase<?, ?, ?> recipe) {
+        public SlotGuidebookTool(int id, int x, int y, RecipeSymbol symbol, boolean discovered, RecipeEntryBase<?, ?, ?> recipe) {
             super(id, x, y, symbol, discovered, recipe);
         }
 
diff --git a/src/main/java/net/minecraft/client/gui/guidebook/crafting/displays/UndyeDisplayAdapter.java b/src/main/java/net/minecraft/client/gui/guidebook/crafting/displays/DisplayAdapterUndye.java
similarity index 72%
rename from src/main/java/net/minecraft/client/gui/guidebook/crafting/displays/UndyeDisplayAdapter.java
rename to src/main/java/net/minecraft/client/gui/guidebook/crafting/displays/DisplayAdapterUndye.java
index 8cf1d64a5..1b63b45e9 100644
--- a/src/main/java/net/minecraft/client/gui/guidebook/crafting/displays/UndyeDisplayAdapter.java
+++ b/src/main/java/net/minecraft/client/gui/guidebook/crafting/displays/DisplayAdapterUndye.java
@@ -1,6 +1,6 @@
 package net.minecraft.client.gui.guidebook.crafting.displays;
 
-import net.minecraft.client.gui.guidebook.GuidebookSlot;
+import net.minecraft.client.gui.guidebook.SlotGuidebook;
 import net.minecraft.core.block.Blocks;
 import net.minecraft.core.data.registry.recipe.RecipeSymbol;
 import net.minecraft.core.data.registry.recipe.entry.RecipeEntryUndyeing;
@@ -9,24 +9,24 @@ import net.minecraft.core.item.ItemStack;
 import java.util.ArrayList;
 import java.util.List;
 
-public class UndyeDisplayAdapter implements RecipeDisplayAdapter<RecipeEntryUndyeing>{
+public class DisplayAdapterUndye implements RecipeDisplayAdapter<RecipeEntryUndyeing>{
     @Override
-    public List<GuidebookSlot> getSlots(RecipeEntryUndyeing recipe, int recipeAmount, int xOffset, int yOffset) {
-        List<GuidebookSlot> recipeSlots = new ArrayList<>();
+    public List<SlotGuidebook> getSlots(RecipeEntryUndyeing recipe, int recipeAmount, int xOffset, int yOffset) {
+        List<SlotGuidebook> recipeSlots = new ArrayList<>();
 
         int slotsAmount = 10;
         for (int i = 0; i < slotsAmount - 1; i++)
         {
             if (i == 4) {
-                recipeSlots.add(new GuidebookSlot(i, 1 + 18 * (i % 3) + xOffset, 1 + 18 * ((i / 3)+recipeAmount*3) + yOffset, new RecipeSymbol(Blocks.SPONGE_WET.getDefaultStack()), false,recipe));
+                recipeSlots.add(new SlotGuidebook(i, 1 + 18 * (i % 3) + xOffset, 1 + 18 * ((i / 3)+recipeAmount*3) + yOffset, new RecipeSymbol(Blocks.SPONGE_WET.getDefaultStack()), false,recipe));
             } else {
                 RecipeSymbol stack = recipe.inputSymbol;
-                recipeSlots.add(new GuidebookSlot(i, 1 + 18 * (i % 3) + xOffset, 1 + 18 * ((i / 3)+recipeAmount*3) + yOffset, stack, false,recipe));
+                recipeSlots.add(new SlotGuidebook(i, 1 + 18 * (i % 3) + xOffset, 1 + 18 * ((i / 3)+recipeAmount*3) + yOffset, stack, false,recipe));
             }
         }
 
         int centerY = (recipeSlots.get(recipeSlots.size()-1).y + recipeSlots.get(recipeSlots.size()-8).y) / 2;
-        recipeSlots.add(new GuidebookSlot(slotsAmount - 1, 81 + xOffset, centerY, new RecipeSymbol(new ItemStack(recipe.output.getItem(), 8, recipe.output.getMetadata())), false,recipe).setAsOutput());
+        recipeSlots.add(new SlotGuidebook(slotsAmount - 1, 81 + xOffset, centerY, new RecipeSymbol(new ItemStack(recipe.output.getItem(), 8, recipe.output.getMetadata())), false,recipe).setAsOutput());
 
 
         return recipeSlots;
diff --git a/src/main/java/net/minecraft/client/gui/guidebook/crafting/displays/RecipeDisplayAdapter.java b/src/main/java/net/minecraft/client/gui/guidebook/crafting/displays/RecipeDisplayAdapter.java
index fe2c09c79..b80023086 100644
--- a/src/main/java/net/minecraft/client/gui/guidebook/crafting/displays/RecipeDisplayAdapter.java
+++ b/src/main/java/net/minecraft/client/gui/guidebook/crafting/displays/RecipeDisplayAdapter.java
@@ -1,10 +1,10 @@
 package net.minecraft.client.gui.guidebook.crafting.displays;
 
-import net.minecraft.client.gui.guidebook.GuidebookSlot;
+import net.minecraft.client.gui.guidebook.SlotGuidebook;
 import net.minecraft.core.data.registry.recipe.entry.RecipeEntryCrafting;
 
 import java.util.List;
 
 public interface RecipeDisplayAdapter<T extends RecipeEntryCrafting<?, ?>> {
-    List<GuidebookSlot> getSlots(T recipe, int recipeAmount, int xOffset, int yOffset);
+    List<SlotGuidebook> getSlots(T recipe, int recipeAmount, int xOffset, int yOffset);
 }
diff --git a/src/main/java/net/minecraft/client/gui/guidebook/crafting/displays/ScrapDisplayAdapter.java b/src/main/java/net/minecraft/client/gui/guidebook/crafting/displays/displayAdapterScrap.java
similarity index 82%
rename from src/main/java/net/minecraft/client/gui/guidebook/crafting/displays/ScrapDisplayAdapter.java
rename to src/main/java/net/minecraft/client/gui/guidebook/crafting/displays/displayAdapterScrap.java
index 8d5dd04c7..80f65181a 100644
--- a/src/main/java/net/minecraft/client/gui/guidebook/crafting/displays/ScrapDisplayAdapter.java
+++ b/src/main/java/net/minecraft/client/gui/guidebook/crafting/displays/displayAdapterScrap.java
@@ -1,6 +1,6 @@
 package net.minecraft.client.gui.guidebook.crafting.displays;
 
-import net.minecraft.client.gui.guidebook.GuidebookSlot;
+import net.minecraft.client.gui.guidebook.SlotGuidebook;
 import net.minecraft.core.data.registry.recipe.RecipeEntryBase;
 import net.minecraft.core.data.registry.recipe.RecipeSymbol;
 import net.minecraft.core.data.registry.recipe.entry.RecipeEntryScrap;
@@ -10,34 +10,34 @@ import java.util.ArrayList;
 import java.util.List;
 import java.util.Random;
 
-public class ScrapDisplayAdapter implements RecipeDisplayAdapter<RecipeEntryScrap>{
+public class displayAdapterScrap implements RecipeDisplayAdapter<RecipeEntryScrap>{
     @Override
-    public List<GuidebookSlot> getSlots(RecipeEntryScrap recipe, int recipeAmount, int xOffset, int yOffset) {
-        List<GuidebookSlot> recipeSlots = new ArrayList<>();
+    public List<SlotGuidebook> getSlots(RecipeEntryScrap recipe, int recipeAmount, int xOffset, int yOffset) {
+        List<SlotGuidebook> recipeSlots = new ArrayList<>();
 
         ItemStack[] sharedItemBuffer = new ItemStack[1]; // Cursed shared reference
         RecipeSymbol[] symbols = {new RecipeSymbol(recipe.itemToScrap.getDefaultStack()), null, null, null, new RecipeSymbol(recipe.scrapYieldStack)};
 
         for (int i = 0; i < 4; i++) {
-            GuidebookSlot slot;
+            SlotGuidebook slot;
             int x = 13 + 18 * (i % 2) + xOffset;
             int y = 10 + 18 * ((i / 2) + recipeAmount * 3) + yOffset;
             if (i == 0) {
-                slot = new ToScrapGuidebookSlot(i, x, y, symbols[i], false, recipe, sharedItemBuffer);
+                slot = new SlotGuidebookToScrap(i, x, y, symbols[i], false, recipe, sharedItemBuffer);
             } else {
-                slot = new GuidebookSlot(i, x, y, symbols[i], false, recipe);
+                slot = new SlotGuidebook(i, x, y, symbols[i], false, recipe);
             }
             recipeSlots.add(slot);
         }
 
         int centerY = (recipeSlots.get(recipeSlots.size()-1).y + recipeSlots.get(recipeSlots.size()-3).y) / 2;
-        recipeSlots.add(new ScrapYieldGuidebookSlot(symbols.length - 1, 81 + xOffset, centerY, symbols[4], false,recipe, sharedItemBuffer).setAsOutput());
+        recipeSlots.add(new SlotGuidebookScrapYield(symbols.length - 1, 81 + xOffset, centerY, symbols[4], false,recipe, sharedItemBuffer).setAsOutput());
         return recipeSlots;
     }
 
-    public static class ToScrapGuidebookSlot extends GuidebookSlot {
+    public static class SlotGuidebookToScrap extends SlotGuidebook {
         private final ItemStack[] itemBuffer;
-        public ToScrapGuidebookSlot(int id, int x, int y, RecipeSymbol symbol, boolean discovered, RecipeEntryBase<?, ?, ?> recipe, ItemStack[] itemBuffer) {
+        public SlotGuidebookToScrap(int id, int x, int y, RecipeSymbol symbol, boolean discovered, RecipeEntryBase<?, ?, ?> recipe, ItemStack[] itemBuffer) {
             super(id, x, y, symbol, discovered, recipe);
             this.itemBuffer = itemBuffer;
         }
@@ -60,10 +60,10 @@ public class ScrapDisplayAdapter implements RecipeDisplayAdapter<RecipeEntryScra
         }
     }
 
-    public static class ScrapYieldGuidebookSlot extends GuidebookSlot {
+    public static class SlotGuidebookScrapYield extends SlotGuidebook {
         private final ItemStack[] itemBuffer;
         private final RecipeEntryScrap recipe;
-        public ScrapYieldGuidebookSlot(int id, int x, int y, RecipeSymbol symbol, boolean discovered, RecipeEntryScrap recipe, ItemStack[] itemBuffer) {
+        public SlotGuidebookScrapYield(int id, int x, int y, RecipeSymbol symbol, boolean discovered, RecipeEntryScrap recipe, ItemStack[] itemBuffer) {
             super(id, x, y, symbol, discovered, recipe);
             this.itemBuffer = itemBuffer;
             this.recipe = recipe;
diff --git a/src/main/java/net/minecraft/client/gui/guidebook/index/IndexPage.java b/src/main/java/net/minecraft/client/gui/guidebook/index/GuidebookPageIndex.java
similarity index 81%
rename from src/main/java/net/minecraft/client/gui/guidebook/index/IndexPage.java
rename to src/main/java/net/minecraft/client/gui/guidebook/index/GuidebookPageIndex.java
index bb25150a4..fd799c999 100644
--- a/src/main/java/net/minecraft/client/gui/guidebook/index/IndexPage.java
+++ b/src/main/java/net/minecraft/client/gui/guidebook/index/GuidebookPageIndex.java
@@ -1,9 +1,9 @@
 package net.minecraft.client.gui.guidebook.index;
 
-import net.minecraft.client.gui.guidebook.GuidebookScreen;
+import net.minecraft.client.gui.guidebook.GuidebookPageManager;
+import net.minecraft.client.gui.guidebook.ScreenGuidebook;
 import net.minecraft.client.gui.guidebook.GuidebookPage;
 import net.minecraft.client.gui.guidebook.GuidebookSection;
-import net.minecraft.client.gui.guidebook.PageManager;
 import net.minecraft.client.render.Font;
 import net.minecraft.client.render.TextureManager;
 import net.minecraft.core.lang.I18n;
@@ -11,14 +11,14 @@ import org.lwjgl.opengl.GL11;
 
 import java.util.List;
 
-public class IndexPage
+public class GuidebookPageIndex
     extends GuidebookPage {
     public static final int LINES_PER_PAGE = 14;
     private final List<Object> lines;
     private final int startIndex;
     private final int totalPages;
 
-    public IndexPage(GuidebookSection section, List<Object> lines, int startIndex) {
+    public GuidebookPageIndex(GuidebookSection section, List<Object> lines, int startIndex) {
         super(section);
 
         this.lines = lines;
@@ -66,7 +66,7 @@ public class IndexPage
     @Override
     public void onMouseDown(int x, int y, int mouseX, int mouseY, int button) {
         super.onMouseDown(x, y, mouseX, mouseY, button);
-        PageManager pageManager = GuidebookScreen.getPageManager();
+        GuidebookPageManager guidebookPageManager = ScreenGuidebook.getPageManager();
 
         int yOffset = 10;
         for (int i = startIndex; i < startIndex + LINES_PER_PAGE && i < lines.size(); i++) {
@@ -76,15 +76,15 @@ public class IndexPage
                 if (i * 2 >= lines.size()) continue;
                 Object line = lines.get(i * 2);
                 if (line instanceof GuidebookSection) {
-                    PageManager.searchQuery = null;
-                    pageManager.updatePages();
-                    pageManager.setCurrentPage(pageManager.getSectionIndex((GuidebookSection) line), true);
+                    GuidebookPageManager.searchQuery = null;
+                    guidebookPageManager.updatePages();
+                    guidebookPageManager.setCurrentPage(guidebookPageManager.getSectionIndex((GuidebookSection) line), true);
 
                     return;
                 } else if (line instanceof GuidebookSection.Index) {
-                    PageManager.searchQuery = null;
-                    pageManager.updatePages();
-                    pageManager.setCurrentPage(pageManager.getPageIndex(((GuidebookSection.Index) line).getPage()), true);
+                    GuidebookPageManager.searchQuery = null;
+                    guidebookPageManager.updatePages();
+                    guidebookPageManager.setCurrentPage(guidebookPageManager.getPageIndex(((GuidebookSection.Index) line).getPage()), true);
                     return;
                 }
             }
